SPA Custom Mappings

SPA: Updates a Custom Mapping

Updates an existing custom mapping.

PATCH/api/spa/custom_mappings/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

CustomMapping identifier

Request Body

application/json
required

The updated CustomMapping resource

{
  "id": 123,
  "name": "Example name",
  "description": "Example description",
  "priority": 1,
  "condition": "string",
  "code": "string",
  "createdBy": "user1@company.com",
  "updatedBy": "user1@company.com",
  "createdAt": "2024-08-23T00:00:00+00:00",
  "updatedAt": "2024-08-23T00:00:00+00:00",
  "subClient": {},
  "active": true,
  "activeFrom": "2024-01-01",
  "versionGroup": "123e4567-e89b-12d3-a456-426614174000",
  "versionNumber": 1,
  "supersededAt": "2024-08-23T00:00:00+00:00",
  "changeSummaryDe": "string",
  "changeSummaryEn": "string",
  "summaryStatus": "pending",
  "subClientDefault": false,
  "subClientId": 3,
  "subClientDescription": "Branch Office A",
  "subClientColor": "#083E5D"
}

Response

200application/json

CustomMapping resource updated

id
integer
name
stringrequired
description
stringrequired
priority
integer

Example: 1

condition
stringrequired
code
stringrequired

Base64 format

createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

client
object
subClient
object
active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"

versionGroup
string<uuid>

Immutable lineage key shared by all versions of this configuration entry.

versionNumber
integer

Monotonic version counter within the version group. Display/audit only, not part of resolution.

Example: 1

supersededAt
string<date-time>

Moment from which this version is superseded by a newer version of the same version group. Null while the version is (or is scheduled to become) the current one.

changeSummaryDe
string

AI generated German summary of the changes introduced by this version.

changeSummaryEn
string

AI generated English summary of the changes introduced by this version.

summaryStatus
enum<string>

Generation status of the AI change summary.

Available options: pendingdonefailed

subClientDefault
boolean

Default for environmental tenants (sub-clients)

Available options: truefalse

Example: false

subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"

subClientColor
string

SubClient display colour. Provided on instances with enabled sub-client module only.

Example: "#083E5D"